org.apache.uima.fit.internal

## Class ResourceList

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.fit.component.Resource_ImplBase
    - - org.apache.uima.fit.internal.ResourceList

- All Implemented Interfaces:
    ExternalResourceAware, Resource

      public class ResourceList
      extends Resource_ImplBase

  INTERNAL API - Helper resource used when an `ExternalResource` annotation is used on an array or collection field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEMENT_KEY`
    `static String` | `PARAM_SIZE`

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()`

    - ### Methods inherited from class org.apache.uima.fit.component.Resource_ImplBase

      `afterResourcesInitialized, getResourceName, initialize`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `destroy, getCasManager, getLogger, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, loadUserClass, loadUserClassOrThrow, setContextHolder, setContextHolderX, setLogger, setMetaData, withContextHolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_KEY

          public static final String ELEMENT_KEY

      See Also:
        Constant Field Values

    - #### PARAM_SIZE

          public static final String PARAM_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceList

          public ResourceList()

  - ### Method Detail

    - #### getSize

          public int getSize()

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.